As we all know, computers completely trust connected input devices like mouse and keyboard. Flipper Zero can emulate a USB slave device, allowing it to be recognized by the computer as a regular input device, such as HID keyboard or Ethernet adapter, just as USB Rubber Ducky. You can write your own keyboard payloads to type any key sequence, as well as fuzzing USB stack on a target device.

## Flashing firwmare (HID mode)
Firmware mode activating only when chosen from menu.

## Bad USB mode
Allow user to run scripts from menu. User should choose script before connecting to victim PC.

## USB Serial mode
GPIO can act as UART/I2C/SPI so user can use Flipper as PC serial adapter.

# UI


### Firmware update

### Bad USB
* Payloads
* Settings